고객›고객 생성
고객 생성
고객 레코드를 생성합니다 — 작업 요청(워크 오더)이 예약되는 대상인 클라이언트/계정 프로필로, 자체 CRM, 웹사이트 리드 폼 또는 접수 플로우에서 고객을 가져오거나 동기화하는 데 사용하십시오. 주소(street, city, postal_code 등)와 좌표(latitude/longitude)는 중첩된 `address` 객체 아래에 위치합니다. service_area_id는 이 비즈니스에 속한 유효한 서비스 지역 UUID여야 합니다.
인수
Idempotency-Keystringheader선택
Unique key making retries safe: a repeat send with the same key replays the original response (header Idempotent-Replayed: true) instead of re-running the operation. Reusing a key with a different body returns 422 IDEMPOTENCY_KEY_REUSE.
▾addressobjectbody선택
우편 주소 및 좌표입니다.
emailstringbody선택
이메일 주소입니다. 선택 사항이지만 phone/email 중 최소 하나는 필수입니다.
full_namestringbody필수
고객의 전체 이름입니다. 필수이며, 최대 255자입니다.
phonestringbody선택
전화번호입니다. 선택 사항이지만 phone/email 중 최소 하나는 필수이며, 10–20자입니다.
preferred_technician_idstringbody선택
이 고객이 선호하는 기술자의 UUID입니다. 이 비즈니스에 속해 있어야 합니다.
service_area_idstringbody선택
이 고객의 서비스 지역 UUID입니다. 이 비즈니스에 속해 있어야 합니다.
sms_opt_inbooleanbody선택
SMS consent: set true ONLY when the customer explicitly agreed to receive
SMS (e.g. ticked a non-pre-checked consent box, or gave verbal/written
consent you keep a record of). SMS notifications are suppressed while false.
tierenumbody선택
로열티 등급입니다. 생략하면 "regular"가 기본값으로 적용됩니다.
uidstringbody선택
이 고객에 대한 외부 참조값(자체 시스템의 ID)입니다. 선택 사항이며, 최대 32자입니다.
POST/v1/customers
curl -X POST "https://api.crisphive.com/v1/customers" \ -H "Authorization: Bearer chsk_test_4eC8xQ9mZ2pL7Ka0rT" \ -H "Content-Type: application/json" \ -d '{ "address": { "city": "San Francisco", "country": "US", "formatted": "123 Market Street, San Francisco, CA 94103", "latitude": 1, "line": "123 Market Street", "line2": "Suite 200", "longitude": 1, "postal_code": "94103", "state": "CA" }, "email": "jane.doe@example.com", "full_name": "Jane Cooper", "phone": "+14155550142", "preferred_technician_id": "9b2f6c3e-1a4d-4f0a-8f2e-7c5d1b3a9e01", "service_area_id": "9b2f6c3e-1a4d-4f0a-8f2e-7c5d1b3a9e01", "sms_opt_in": true, "tier": "regular", "uid": "CRM-10293" }'
요청 본문
{
"address": {
"city": ,
"country": ,
"formatted": ,
"latitude": ,
"line": ,
"line2": ,
"longitude": ,
"postal_code": ,
"state":
},
"email": ,
"full_name": ,
"phone": ,
"preferred_technician_id": ,
"service_area_id": ,
"sms_opt_in": ,
"tier": ,
"uid":
}
Bearer